Bug 966518 - firewall-config produce Exception when firewalld service is not running
firewall-config produce Exception when firewalld service is not running
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 08:03 EDT by Jakub Prokes
Modified: 2013-06-08 23:29 EDT (History)
2 users (show)

See Also:
Fixed In Version: firewalld-0.3.3-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-08 23:29:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Prokes 2013-05-23 08:03:10 EDT
Description of problem:
When is firewalld service stopped command firewall-config make a D-bus Exception. 

Version-Release number of selected component (if applicable):


How reproducible


Steps to Reproduce:
1. sudo systemctl stop firewalld
2. firewall-config
3.

Actual results:
DBusException The name org.fedoraproject.FirewallD1 was not provided by any .service files

Expected results:
Some nicer message about situation.

Additional info:
Comment 1 Jiri Popelka 2013-05-23 09:26:58 EDT
I don't see such a problem with firewalld-0.3.2-1.fc19.
What does 'rpm -q firewalld' say ?
Comment 2 Jakub Prokes 2013-05-23 10:22:18 EDT
I'm sorry i forgot add it to describtion.

firewalld-0.3.2-1.fc19.noarch
Comment 3 Jiri Popelka 2013-05-24 03:57:51 EDT
(In reply to Jakub Prokes from comment #0)
> Steps to Reproduce:
> 1. sudo systemctl stop firewalld
> 2. firewall-config

All right, I had switched them previously. Now I see the problem.

> Expected results:
> Some nicer message about situation.

firewall-config already states the situation on the bottom of its window.
I just silenced the message written out to terminal with
https://git.fedorahosted.org/cgit/firewalld.git/commit/?id=8cde85689b4e0d8fd25993d73a4d743704b84f43
Comment 4 Fedora Update System 2013-06-06 12:32:29 EDT
firewalld-0.3.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/firewalld-0.3.3-1.fc19
Comment 5 Fedora Update System 2013-06-07 11:40:19 EDT
Package firewalld-0.3.3-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firewalld-0.3.3-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10276/firewalld-0.3.3-2.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-06-08 23:29:34 EDT
firewalld-0.3.3-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.